Class: Aws::IAM::Types::ListEntitiesForPolicyResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::IAM::Types::ListEntitiesForPolicyResponse
- Defined in:
- gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb
Overview
Contains the response to a successful ListEntitiesForPolicy request.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return.
-
#marker ⇒ String
When
IsTruncatedistrue, this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request. -
#policy_groups ⇒ Array<Types::PolicyGroup>
A list of IAM groups that the policy is attached to.
-
#policy_roles ⇒ Array<Types::PolicyRole>
A list of IAM roles that the policy is attached to.
-
#policy_users ⇒ Array<Types::PolicyUser>
A list of IAM users that the policy is attached to.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return. If
your results were truncated, you can make a subsequent pagination
request using the Marker request parameter to retrieve more items.
Note that IAM might return fewer than the MaxItems number of
results even when there are more results available. We recommend
that you check IsTruncated after every call to ensure that you
receive all your results.
6289 6290 6291 6292 6293 6294 6295 6296 6297 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6289 class ListEntitiesForPolicyResponse < Struct.new( :policy_groups, :policy_users, :policy_roles, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#marker ⇒ String
When IsTruncated is true, this element is present and contains
the value to use for the Marker parameter in a subsequent
pagination request.
6289 6290 6291 6292 6293 6294 6295 6296 6297 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6289 class ListEntitiesForPolicyResponse < Struct.new( :policy_groups, :policy_users, :policy_roles, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#policy_groups ⇒ Array<Types::PolicyGroup>
A list of IAM groups that the policy is attached to.
6289 6290 6291 6292 6293 6294 6295 6296 6297 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6289 class ListEntitiesForPolicyResponse < Struct.new( :policy_groups, :policy_users, :policy_roles, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#policy_roles ⇒ Array<Types::PolicyRole>
A list of IAM roles that the policy is attached to.
6289 6290 6291 6292 6293 6294 6295 6296 6297 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6289 class ListEntitiesForPolicyResponse < Struct.new( :policy_groups, :policy_users, :policy_roles, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#policy_users ⇒ Array<Types::PolicyUser>
A list of IAM users that the policy is attached to.
6289 6290 6291 6292 6293 6294 6295 6296 6297 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6289 class ListEntitiesForPolicyResponse < Struct.new( :policy_groups, :policy_users, :policy_roles, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |